WordPress 4.7
[autoinstalls/wordpress.git] / wp-admin / includes / class-wp-upgrader-skins.php
1 <?php
2 /**
3  * The User Interface "Skins" for the WordPress File Upgrader
4  *
5  * @package WordPress
6  * @subpackage Upgrader
7  * @since 2.8.0
8  */
9
10 _deprecated_file( basename( __FILE__ ), '4.7.0', 'class-wp-upgrader.php' );
11
12 /** WP_Upgrader_Skin class */
13 require_once ABSPATH . 'wp-admin/includes/class-wp-upgrader-skin.php';
14
15 /** Plugin_Upgrader_Skin class */
16 require_once ABSPATH . 'wp-admin/includes/class-plugin-upgrader-skin.php';
17
18 /** Theme_Upgrader_Skin class */
19 require_once ABSPATH . 'wp-admin/includes/class-theme-upgrader-skin.php';
20
21 /** Bulk_Upgrader_Skin class */
22 require_once ABSPATH . 'wp-admin/includes/class-bulk-upgrader-skin.php';
23
24 /** Bulk_Plugin_Upgrader_Skin class */
25 require_once ABSPATH . 'wp-admin/includes/class-bulk-plugin-upgrader-skin.php';
26
27 /** Bulk_Theme_Upgrader_Skin class */
28 require_once ABSPATH . 'wp-admin/includes/class-bulk-theme-upgrader-skin.php';
29
30 /** Plugin_Installer_Skin class */
31 require_once ABSPATH . 'wp-admin/includes/class-plugin-installer-skin.php';
32
33 /** Theme_Installer_Skin class */
34 require_once ABSPATH . 'wp-admin/includes/class-theme-installer-skin.php';
35
36 /** Language_Pack_Upgrader_Skin class */
37 require_once ABSPATH . 'wp-admin/includes/class-language-pack-upgrader-skin.php';
38
39 /** Automatic_Upgrader_Skin class */
40 require_once ABSPATH . 'wp-admin/includes/class-automatic-upgrader-skin.php';
41
42 /** WP_Ajax_Upgrader_Skin class */
43 require_once ABSPATH . 'wp-admin/includes/class-wp-ajax-upgrader-skin.php';